Skip to content

Get payment instrument

Request

Retrieves a payment instrument.

Security
UserToken
Path
profileIdinteger, (int64)required
paymentInstrumentIdstringrequired
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q4/profiles/{profileId}/payment-instruments/{paymentInstrumentId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
accountNumberstring
accountOwnerDetailsobject
bankCodestring
bankNamestring
branchCodestring
disconnectReasonstring
idstring, (uuid)
referencestring
statusstring
typestring
Response
{ "accountNumber": "string", "accountOwnerDetails": { "city": "string", "companyName": "string", "country": "string", "firstLine": "string", "postCode": "string", "state": "string" }, "bankCode": "string", "bankName": "string", "branchCode": "string", "disconnectReason": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "reference": "string", "status": "string", "type": "string" }